imgHeight = 800;
%g = roms_loadGrid('/Volumes/vindaloo3/salish_2005_1_summer/ocean_his_6202.nc');
g = roms_loadGrid('/Users/neil/pnwtox/salish_jul8/ocean_his_4489.nc');
%colors = [ROScolor('medBlue'); 0.5.*(ROScolor('medBlue')+ROScolor('ltBlue')); ROScolor('ltBlue'); ROScolor('ltltBlue')];
colors = [ROScolor('dkBlue'); ROScolor('medBlue'); ROScolor('ltBlue'); ROScolor('ltltBlue')];
colors = 1 - 0.85.*(1-colors);
breaks = [3000 400 130 0];

H = g.H;
H(g.mask==0) = -6000;
cmap = colormapcat(colors(1,:),colors(2,:),(breaks(1)-breaks(2))/10);
cmap = [cmap; colormapcat(colors(2,:),colors(3,:),(breaks(2)-breaks(3))/10)];
cmap = [cmap; colormapcat(colors(3,:),colors(4,:),(breaks(3)-breaks(4))/10)];
cmap = [cmap([1:end repmat(length(cmap),[1 length(cmap-1)])],:); 1 1 1];
colormap(cmap);
contourf(g.lon,g.lat,-H,[-breaks(1):50:0 breaks(1)-1],'edgecolor','none');
caxis(breaks(1).*[-1 1]);
mapaspect
asp = get(gca,'dataaspectratio');
asp = asp(2);
axis auto
set(gca,'visible','off','position',[0 0 1 1]);

axis([-126 -122 45.25 50])
set(gcf,'paperposition',[0 0 imgHeight*diff(xlim)/diff(ylim)*asp imgHeight]./150);
print -djpeg90 basemap_126_122_4525_50

axis([-123.2 -122.2 47 48.3])
set(gcf,'paperposition',[0 0 imgHeight*diff(xlim)/diff(ylim)*asp imgHeight]./150);
print -djpeg90 basemap_1232_1222_47_483